• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Japanese Release, Oni Ashigaru Worker & Patch 2.0.7

Sep 18, 2018
55
14
95
31
#2
I must say, I really love this patch. You guys not only made my heart open by such a broad patch log filled with fixes to the Map Editor, but also by small details, such as better lighting FX or setting the unit count numbers to the bottom to free the lovely artwork portraits. I am currently replaying the original campaign, watching all these delightful fixes and features. Thank you! :)
 
May 20, 2018
11
3
105
wiki.dotslashplay.it
#4
It seems that despite the installer being named "war_for_the_overworld_2_0_7f1_30014.sh", the current Linux version provided on GOG is still 2.0.6f1.
It would be nice if someone could check with GOG team what went wrong during the update, so they can really provide the up-to-date 2.0.7f1 version to Linux players.
 

Noontide

Designer / Community Manager
Brightrock Games
Dec 8, 2012
2,163
1,784
665
Brighton, UK
#5
It seems that despite the installer being named "war_for_the_overworld_2_0_7f1_30014.sh", the current Linux version provided on GOG is still 2.0.6f1.
It would be nice if someone could check with GOG team what went wrong during the update, so they can really provide the up-to-date 2.0.7f1 version to Linux players.
Thanks for alerting us vv221. I'll ask someone on our team then I'll reach out to the folks over at GOG.
 
Likes: vv221
May 20, 2018
11
3
105
wiki.dotslashplay.it
#6
I'll ask someone on our team then I'll reach out to the folks over at GOG.
Any news on this front?

I completed the Heart of Gold campaign a couple hours ago (great one by the way), but would like to wait for the update before trying The Under Games. Especially because of the performance improvements, as I still sometimes have memory consumption issues with version 2.0.6f1.
 

Noontide

Designer / Community Manager
Brightrock Games
Dec 8, 2012
2,163
1,784
665
Brighton, UK
#7
Any news on this front?

I completed the Heart of Gold campaign a couple hours ago (great one by the way), but would like to wait for the update before trying The Under Games. Especially because of the performance improvements, as I still sometimes have memory consumption issues with version 2.0.6f1.
Managed to confirm that for some reason the Linux version is incorrect. We're not quite sure what went wrong there. I'm currently in a holding pattern until the new year when the member of the team who works closest with GOG is back from the holidays :) Sorry that it's taking so long to resolving this.
 
May 20, 2018
11
3
105
wiki.dotslashplay.it
#8
Sorry that it's taking so long to resolving this.
Compared to what usually happens in this business, this is not taking *that* long ;)
I only wanted to be sure that this issue had not been forgotten, knowing that this is confirmed on your side and is going to be fixed at some point is enough. The game is already fully playable (and enjoyable) in the version we currently get for Linux.
 
May 20, 2018
11
3
105
wiki.dotslashplay.it
#12
Sadly, this is not fixed yet.

The Linux installer that is downloadable from my GOG account:
war_for_the_overworld_2_0_7f1_30014.sh (3.2G, MD5 hash a352307c8fbf70c33bdfdd97a82c6530)

The meta-data provided by GOG claims it to be version 2.0.7f1, but it is really still 2.0.6f1. Version shown in main menu screen is 2.0.6f1, Japanese translation is not available, the nice tweak moving unit count numbers to free up the artwork is not there.

---

EDIT

This website tracking activity on GOG side shows no installer update since the original faulty 2.0.7f1 release, in June 2019: https://www.gogdb.org/product/1964276929#changelog
 

Noontide

Designer / Community Manager
Brightrock Games
Dec 8, 2012
2,163
1,784
665
Brighton, UK
#13
Sadly, this is not fixed yet.

The Linux installer that is downloadable from my GOG account:
war_for_the_overworld_2_0_7f1_30014.sh (3.2G, MD5 hash a352307c8fbf70c33bdfdd97a82c6530)

The meta-data provided by GOG claims it to be version 2.0.7f1, but it is really still 2.0.6f1. Version shown in main menu screen is 2.0.6f1, Japanese translation is not available, the nice tweak moving unit count numbers to free up the artwork is not there.

---

EDIT

This website tracking activity on GOG side shows no installer update since the original faulty 2.0.7f1 release, in June 2019: https://www.gogdb.org/product/1964276929#changelog
*Grumble* *Grumble* I'll poke them again.
 
Likes: vv221

Noontide

Designer / Community Manager
Brightrock Games
Dec 8, 2012
2,163
1,784
665
Brighton, UK
#15
I think you should poke harder, with a bigger stick ;)

Is there any way I could help? Some people on gog.com I should try to reach maybe?
Prodded them again. Here's what we know:

"There's a discrepancy between what's on our auto-builder and what is available to our Linux users, apologies for the hassle I'll have the GOG tech team look into it as soon as possible"

Hopefully, we should hear back or at least see some resolution from the tech side of things.
 
May 20, 2018
11
3
105
wiki.dotslashplay.it
#16
It looks like you set things in motion, the Linux installers provided by GOG just got updated.
I’m going to give them a try in a couple minutes, I’ll tell you how it goes.

---

This is fixed, for real this time ;)
Thank you for your help on this front!

So I guess now I have a new campaign to play through:
wfto.jpg
 
Last edited:

Noontide

Designer / Community Manager
Brightrock Games
Dec 8, 2012
2,163
1,784
665
Brighton, UK
#17
It looks like you set things in motion, the Linux installers provided by GOG just got updated.
I’m going to give them a try in a couple minutes, I’ll tell you how it goes.

---

This is fixed, for real this time ;)
Thank you for your help on this front!

So I guess now I have a new campaign to play through:
View attachment 11141
:D At long last! We got a confirmation today that the issue with the Autobuilder for Linux had been fixed and now future releases should be deployed correctly!
 
Top Bottom